Package: java.io

## Class BufferedReader

- - ### Methods Summary

    Methods
    Return type | Name and parameters
    --- | ---
    `String` | `getText()` Read the content of the BufferedReader and return it as a String.

  - #### Methods inherited from class java.io.Reader

    `eachLine`, `eachLine`, `filterLine`, `filterLine`, `getText`, `iterator`, `readLine`, `readLines`, `splitEachLine`, `splitEachLine`, `transformChar`, `transformLine`, `withReader`

  - #### Methods inherited from class java.lang.Object

    `addShutdownHook`, `any`, `any`, `asBoolean`, `asType`, `collect`, `collect`, `collect`, `dump`, `each`, `eachMatch`, `eachMatch`, `eachWithIndex`, `every`, `every`, `find`, `find`, `findAll`, `findAll`, `findIndexOf`, `findIndexOf`, `findIndexValues`, `findIndexValues`, `findLastIndexOf`, `findLastIndexOf`, `findResult`, `findResult`, `findResult`, `findResult`, `getAt`, `getMetaClass`, `getMetaPropertyValues`, `getProperties`, `grep`, `grep`, `hasProperty`, `identity`, `inject`, `inject`, `inspect`, `invokeMethod`, `is`, `isCase`, `isNotCase`, `iterator`, `metaClass`, `print`, `print`, `printf`, `printf`, `println`, `println`, `println`, `putAt`, `respondsTo`, `respondsTo`, `setMetaClass`, `split`, `sprintf`, `sprintf`, `stream`, `tap`, `toString`, `use`, `use`, `use`, `with`, `with`, `withCloseable`, `withMethodClosure`, `withStream`, `withTraits`

- - ### Methods Detail

    - #### public String getText()

      Read the content of the BufferedReader and return it as a String. The BufferedReader is closed afterwards.

      Returns:
        a String containing the content of the buffered reader
      Since:
        1.0